server:
  port: 0  # random port

spring:
  application:
    name: mailService

  mail:
    host: smtp.resend.com
    port: 587
    username: resend
    password: re_JnLD5ndg_GnKtXcTqskXm1bg7Wxnghna3
    properties:
      mail:
        smtp:
          auth: true
          starttls:
            enable: true
    default-encoding: UTF-8

eureka:
  client:
    service-url:
      defaultZone: http://localhost:8761/eureka/